TabGeckoDocs
Zur Website
Dokumentation / Other · API

Other · API

Aus dem OpenAPI-Stand erzeugt. Quellzusammenfassungen bleiben unverändert; die JSON-Schemas unten sind die exakten exportierten Definitionen.

GET /api/v1/team/group-vaults/sync

Authentifizierung: Bearer-Token

Erforderliche Routen-Scopes: admin

Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.

Keine Pfad- oder Query-Parameter deklariert.

Kein Anfragekörper deklariert.

Dokumentierte Antworten
OpenAPI JSON
{
  "200": {
    "description": "Default Response"
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}

Mindestens eine dokumentierte Antwort hat kein Inhaltsschema. Ihre Körperstruktur ist in diesem Export nicht spezifiziert. Allgemeine HTTP-/Authentifizierungsfehler können zusätzlich auftreten.

Vollständige Operationsdefinition
OpenAPI JSON
{
  "x-required-scopes": [
    "admin"
  ],
  "responses": {
    "200": {
      "description": "Default Response"
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

DELETE /api/v1/team/group-vaults/sync/{id}

Authentifizierung: Bearer-Token

Erforderliche Routen-Scopes: admin

Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.

NameOrtPflichtBeschreibung
idpathJa
Vollständige Parameterschemas
OpenAPI JSON
[
  {
    "schema": {
      "type": "string",
      "minLength": 1,
      "maxLength": 64
    },
    "in": "path",
    "name": "id",
    "required": true
  }
]

Kein Anfragekörper deklariert.

Dokumentierte Antworten
OpenAPI JSON
{
  "200": {
    "description": "Default Response"
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}

Mindestens eine dokumentierte Antwort hat kein Inhaltsschema. Ihre Körperstruktur ist in diesem Export nicht spezifiziert. Allgemeine HTTP-/Authentifizierungsfehler können zusätzlich auftreten.

Vollständige Operationsdefinition
OpenAPI JSON
{
  "parameters": [
    {
      "schema": {
        "type": "string",
        "minLength": 1,
        "maxLength": 64
      },
      "in": "path",
      "name": "id",
      "required": true
    }
  ],
  "x-required-scopes": [
    "admin"
  ],
  "responses": {
    "200": {
      "description": "Default Response"
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

GET /api/v1/runtime/once

Authentifizierung: Bearer-Token

Erforderliche Routen-Scopes: runtime:control

Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.

Keine Pfad- oder Query-Parameter deklariert.

Kein Anfragekörper deklariert.

Dokumentierte Antworten
OpenAPI JSON
{
  "200": {
    "description": "Default Response"
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}

Mindestens eine dokumentierte Antwort hat kein Inhaltsschema. Ihre Körperstruktur ist in diesem Export nicht spezifiziert. Allgemeine HTTP-/Authentifizierungsfehler können zusätzlich auftreten.

Vollständige Operationsdefinition
OpenAPI JSON
{
  "x-required-scopes": [
    "runtime:control"
  ],
  "responses": {
    "200": {
      "description": "Default Response"
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

DELETE /api/v1/runtime/once/{id}

Authentifizierung: Bearer-Token

Erforderliche Routen-Scopes: runtime:control

Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.

NameOrtPflichtBeschreibung
idpathJa
Vollständige Parameterschemas
OpenAPI JSON
[
  {
    "schema": {
      "type": "string",
      "minLength": 1,
      "maxLength": 64
    },
    "in": "path",
    "name": "id",
    "required": true
  }
]

Kein Anfragekörper deklariert.

Dokumentierte Antworten
OpenAPI JSON
{
  "200": {
    "description": "Default Response"
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}

Mindestens eine dokumentierte Antwort hat kein Inhaltsschema. Ihre Körperstruktur ist in diesem Export nicht spezifiziert. Allgemeine HTTP-/Authentifizierungsfehler können zusätzlich auftreten.

Vollständige Operationsdefinition
OpenAPI JSON
{
  "parameters": [
    {
      "schema": {
        "type": "string",
        "minLength": 1,
        "maxLength": 64
      },
      "in": "path",
      "name": "id",
      "required": true
    }
  ],
  "x-required-scopes": [
    "runtime:control"
  ],
  "responses": {
    "200": {
      "description": "Default Response"
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

Native API-Referenz